{

	//显示隐藏测试脚本（机制详情见KM）

    "AbilityName" : "TestPlayer_Ability_Tianheng_40",

    "AbilityStacking": "Unique",



    "OnAbilityStart":

    [

        {  

            "$type" : "MoleMole.ApplyModifier",

            "ModifierName" : "EntityVisibleModifier",

            "Target" : "Self",

        },

        {  

            "$type" : "MoleMole.ApplyModifier",

            "ModifierName" : "RenderVisibleModifier",

            "Target" : "Self",

        },

    ],



    "Modifiers" : 

    {

        "EntityVisibleModifier" : 

        {

            "ModifierStacking" : "MultipleRefresh",

            "Duration" : 5,

            "IgnoreTimeScale" : false,



            "OnAdded":

            [

                {

                    "$type" : "MoleMole.PushEntityVisibleWithTagAction",

                    "Target" : "Self",

                    "Visible" : false,

                    "Tag" : "Tag_EntityVisibleTest"

                }

            ],



            "OnRemoved":

            [

                {

                    "$type" : "MoleMole.PopEntityVisibleWithTagAction",

                    "Target" : "Self",

                    "Tag" : "Tag_EntityVisibleTest"

                }

            ],

        },



        "RenderVisibleModifier" : 

        {

            "ModifierStacking" : "MultipleRefresh",

            "Duration" : 10,

            "IgnoreTimeScale" : false,



            "OnAdded":

            [

                {

                    "$type" : "MoleMole.PushRenderVisibleAction",

                    "Target" : "Self",

                    "Path" : "Anbi_Body",

                    "Visible" : false,

                    "Tag" : "Tag_RenderVisibleTest"

                },

            ],



            "OnRemoved":

            [

                {

                    "$type" : "MoleMole.PopRenderVisibleAction",

                    "Target" : "Self",

                    "Path" : "Anbi_Body",

                    "Tag" : "Tag_RenderVisibleTest"

                }

            ],

        }

    }

}